import { type HeadElements, Pipeline } from '../core/base-pipeline.js';
import type { ComponentInstance, RewritePayload, RouteData, SSRResult } from '../@types/astro.js';
export declare class TestPipeline extends Pipeline {
    #private;
    static create({ logger, manifest, renderers, resolve, serverLike, streaming, }: Pick<TestPipeline, 'logger' | 'manifest' | 'renderers' | 'resolve' | 'serverLike' | 'streaming'>): TestPipeline;
    componentMetadata(_routeData: RouteData): Promise<SSRResult['componentMetadata']> | void;
    headElements(routeData: RouteData): Promise<HeadElements> | HeadElements;
    tryRewrite(rewritePayload: RewritePayload): Promise<[RouteData, ComponentInstance]>;
    insertRoute(route: RouteData, componentInstance: ComponentInstance): void;
    getComponentByRoute(routeData: RouteData): Promise<ComponentInstance>;
}
